Admin Account Ban Remove
Given the account is suspended, remove the suspended state.
Given the account is suspended, remove the suspended state.
storyden-session<token>account_handle*stringAccount handle.
OK
application/json- response
id*IdentifierA unique identifier for this resource.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
joined*MemberJoinedDateThe time the resource was created.
date-timesuspended?MemberSuspendedDateThe time the resource was created.
date-timehandle*AccountHandleThe unique @ handle of an account.
name*AccountNameThe account owners display name.
roles*array<>bio*AccountBioThe rich-text bio for an account's public profile.
signature?AccountSignatureThe rich-text signature shown beneath a member's posts.
links*array<>meta*Arbitrary metadata for the resource.
verified_status*AccountVerifiedStatus"none""verified_email""manual"kind*AccountKind"human""bot"email_addresses*array<>If the instance is configured to not use any email features for auth or transactional/content communications, this will always be empty.
auth_services*array<AuthProviderIdentifier>notifications?NotificationCountadmin*booleaninvited_by?A minimal reference to an account.
curl -X DELETE 'https://example.com/api/admin/bans/southclaws'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "roles": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {}, "badge": true, "default": true } ], "bio": "string", "signature": "string", "links": [ { "text": "string", "url": "string" } ], "meta": {}, "verified_status": "none", "kind": "human", "email_addresses": [ { "id": "string", "email_address": "string", "verified": true } ], "auth_services": [ "string" ], "notifications": 0, "admin": true, "invited_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }}Admin Account Ban Create POST
Suspend an account - soft delete. This disables the ability for the account owner to log in and use the platform. It keeps the account on record for linkage to content so UI doesn't break. It does not change anything else about the account such as the avatar, name, etc. Suspending the last active account with ADMINISTRATOR is rejected with 400. Suspended accounts do not count as remaining administrators.
Admin O Auth Client Create POST
Create an OAuth client. Confidential clients receive a generated secret once at creation time and must authenticate to `/oauth/token` when using confidential grants. Public clients do not receive or use a client secret.